BazaarLinkBazaarLink
साइन इन
दस्तावेज़API संदर्भSDK संदर्भएजेंटिक उपयोगAI स्किल्स
खाता

Tavily शोध कार्य प्राप्त करें

request_id के आधार पर asynchronous research task प्राप्त करता है। 202 का अर्थ pending या in_progress है; 200 sources सहित completed report या failed status लौटाता है। Bearer authentication को प्राथमिकता दें; समर्थित clients के लिए वैकल्पिक body api_key उपलब्ध है, लेकिन GET clients को सामान्यतः header उपयोग करना चाहिए। Research credits usage शामिल करने के लिए include_usage=true करें।

GET/v1/research/:requestId

प्राधिकरण

Authorizationआवश्यक
string · header

Authorization हेडर में bearer token के रूप में API कुंजी।

पथ पैरामीटर

request_idआवश्यक
string

कार्य बनाते समय लौटाया गया अद्वितीय research-task identifier।

Example: 123e4567-e89b-12d3-a456-426614174111

क्वेरी पैरामीटर

include_usage
boolean

completed या failed response में credits usage शामिल करना है या नहीं; डिफ़ॉल्ट false।

Example: true
GET /v1/research/:requestId
curl "https://api.bazaarlink.ai/v1/research/$REQUEST_ID?include_usage=true" \
  -H "Authorization: Bearer $BAZAARLINK_API_KEY"
प्रतिक्रिया उदाहरण

कार्य completed या failed है। completed response में request_id, created_at, content (text या output_schema के अनुरूप object), sources और response_time होते हैं; failed में request_id, status, response_time और संभवतः usage होता है।

{
  "request_id": "123e4567-e89b-12d3-a456-426614174111",
  "created_at": "2025-01-15T10:30:00Z",
  "status": "completed",
  "content": "Research Report: Latest Developments in AI",
  "sources": [
    {
      "title": "Latest AI Developments",
      "url": "https://example.com/ai-news",
      "favicon": "https://example.com/favicon.ico"
    }
  ],
  "response_time": 1.23,
  "usage": {
    "credits": 16
  }
}
Support
Support
Hi! How can we help you?
Send a message and we'll get back to you soon.